Skip to content
Multi-tier UIScrollView nested scrolling solution. πŸ˜‹πŸ˜‹πŸ˜‹
Branch: master
Clone or download
Latest commit 45b1494 Mar 14, 2019
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
Example.xcodeproj change SegementSlideSwitcherConfig from class to struct; update cocoa… Feb 26, 2019
Example.xcworkspace
Example change SegementSlideSwitcherConfig from class to struct; update cocoa… Feb 26, 2019
ExampleTests update Podfile, podspec, .travis.yml, project Jan 9, 2019
Logo update Logo and README.md Jan 8, 2019
SegementSlide-Dynamic-Tests update .xcodeproj and .travis.yml Jan 9, 2019
SegementSlide.xcodeproj
SegementSlide
Source
.codecov.yml
.gitignore
.swift-version add .swift-version, update podspec. Dec 17, 2018
.travis.yml
LICENSE Initial commit Dec 7, 2018
Podfile
Podfile.lock
README.md tag as 2.0 Mar 14, 2019
SegementSlide.podspec tag as 2.0 Mar 14, 2019

README.md

I had rewritten commits to remove big resource folder, you need refork the project if you had forked. -- Beijing time: Feb 17, 2019 15:00 issues 1

codebeat badge

Multi-tier UIScrollView nested scrolling solution.

Snapshots

Requirements

  • iOS 9.0+
  • Xcode 10.0+
  • Swift 4.2+

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects. You can install it with the following command:

$ gem install cocoapods

CocoaPods 1.1.0+ is required to build SegementSlide.

To integrate SegementSlide into your Xcode project using CocoaPods, specify it in your Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '9.0'
use_frameworks!

target '<Your Target Name>' do
    pod 'SegementSlide', '2.0'
end

Then, run the following command:

$ pod install

Carthage

Carthage is a decentralized dependency manager that builds your dependencies and provides you with binary frameworks.

You can install Carthage with Homebrew using the following command:

$ brew update
$ brew install carthage

To integrate SegementSlide into your Xcode project using Carthage

  1. specify it in your Cartfile:
github "Jiar/SegementSlide" "2.0"

Run carthage update to build the framework.

  1. Copy Carthage Frameworks:
  • open the Build Phases tab of the project Settings
  • add New Run Script Phase
  • add /usr/local/bin/carthage copy-frameworks to the input field
  • add $(SRCROOT)/Carthage/Build/iOS/SegementSlide.framework to Input Files Copy Carthage Frameworks
  1. Embedded Binaries:
  • open the general tab of the project Settings
  • add SegementSlide.framework in $(SRCROOT)/Carthage/Build/iOS to the Embedded Binaries Embed Binaries

Manually

If you prefer not to use either of the aforementioned dependency managers, you can integrate SegementSlide into your project manually.


Usage

Quick Start

import SegementSlide

class HomeViewController: SegementSlideViewController {

    ......

    override var headerHeight: CGFloat? {
        return view.bounds.height/4
    }
    
    override var headerView: UIView? {
        return UIView()
    }

    override var titlesInSwitcher: [String] {
        return ["Swift", "Ruby", "Kotlin"]
    }

    override func segementSlideContentViewController(at index: Int) -> SegementSlideContentScrollViewDelegate? {
        return ContentViewController()
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        reloadData()
        scrollToSlide(at: 0, animated: false)
    }

}
import SegementSlide

class ContentViewController: UITableViewController, SegementSlideContentScrollViewDelegate {

    ......

    @objc var scrollView: UIScrollView {
        return tableView
    }

}

Author

License

SegementSlide is released under the Apache-2.0 license. See LICENSE for details.

You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.